Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 3.0.0SynchronousAuth Required
CreateDatabaseBackup
CreateDatabaseBackup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the database backup.
descriptionStringRequiredThe detailed description of the backup.
backupStorageUuidStringRequiredThe UUID of the backup storage.
resourceUuidStringOptional.
systemTagsListOptional.
userTagsListOptional.
Responses
Endpoint
POST/zstack/v1/database-backups
/zstack/v1/database-backups
Request Example
curl -X POST 'http://{host}/zstack/v1/database-backups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","backupStorageUuid":"<backupStorageUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "7decf4a7cb7c41dabc57446df2784476", "name": "zsdb", "state": "Enabled", "size": 1000.0, "metadata": "{\"version\":\"3.0.0\"}", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
